"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// index.ts
var index_exports = {};
__export(index_exports, {
  ImageType: () => ImageType,
  SortOrder: () => SortOrder,
  WebhookIdentityType: () => WebhookIdentityType,
  createCollection: () => createCollection4,
  deleteCollection: () => deleteCollection4,
  getCollection: () => getCollection4,
  listCollections: () => listCollections4,
  onCollectionCreated: () => onCollectionCreated2,
  onCollectionDeleted: () => onCollectionDeleted2,
  onCollectionUpdated: () => onCollectionUpdated2,
  queryCollections: () => queryCollections4,
  updateCollection: () => updateCollection4
});
module.exports = __toCommonJS(index_exports);

// src/portfolio-collections-v1-collection-collections.public.ts
var import_rename_all_nested_keys2 = require("@wix/sdk-runtime/rename-all-nested-keys");
var import_float3 = require("@wix/sdk-runtime/transformations/float");
var import_image3 = require("@wix/sdk-runtime/transformations/image");
var import_page_url_v23 = require("@wix/sdk-runtime/transformations/page-url-v2");
var import_timestamp3 = require("@wix/sdk-runtime/transformations/timestamp");
var import_transform_paths3 = require("@wix/sdk-runtime/transformations/transform-paths");
var import_sdk_types = require("@wix/sdk-types");

// src/portfolio-collections-v1-collection-collections.universal.ts
var import_transform_error = require("@wix/sdk-runtime/transform-error");
var import_query_builder = require("@wix/sdk-runtime/query-builder");
var import_rename_all_nested_keys = require("@wix/sdk-runtime/rename-all-nested-keys");

// src/portfolio-collections-v1-collection-collections.http.ts
var import_rest_modules = require("@wix/sdk-runtime/rest-modules");
var import_float = require("@wix/sdk-runtime/transformations/float");
var import_float2 = require("@wix/sdk-runtime/transformations/float");
var import_timestamp = require("@wix/sdk-runtime/transformations/timestamp");
var import_timestamp2 = require("@wix/sdk-runtime/transformations/timestamp");
var import_field_mask = require("@wix/sdk-runtime/transformations/field-mask");
var import_transform_paths = require("@wix/sdk-runtime/transformations/transform-paths");
var import_rest_modules2 = require("@wix/sdk-runtime/rest-modules");
function resolveComWixpressPortfolioCollectionsCollectionsServiceUrl(opts) {
  const domainToMappings = {
    "*.dev.wix-code.com": [
      {
        srcPath: "/_api/collections-service",
        destPath: "/api"
      }
    ],
    "editor._base_domain_": [
      {
        srcPath: "/_api/collections-service",
        destPath: "/api"
      }
    ],
    "blocks._base_domain_": [
      {
        srcPath: "/_api/collections-service",
        destPath: "/api"
      }
    ],
    "create.editorx": [
      {
        srcPath: "/_api/collections-service",
        destPath: "/api"
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/_api/collections-service",
        destPath: "/api"
      }
    ],
    _: [
      {
        srcPath: "/_api/collections-service",
        destPath: "/api"
      }
    ],
    "www._base_domain_": [
      {
        srcPath: "/_api/collections-service",
        destPath: "/api"
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/portfolio/v1/collections",
        destPath: "/api/v1/portfolio/collections"
      },
      {
        srcPath: "/portfolio/collections/api/v1/portfolio/collections",
        destPath: "/api/v1/portfolio/collections"
      }
    ],
    "api._api_base_domain_": [
      {
        srcPath: "/collections-service",
        destPath: ""
      }
    ]
  };
  return (0, import_rest_modules2.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_portfolio_collections";
function createCollection(payload) {
  function __createCollection({ host }) {
    const serializedData = (0, import_transform_paths.transformPaths)(payload, [
      {
        transformFn: import_float.transformSDKFloatToRESTFloat,
        paths: [
          { path: "collection.sortOrder" },
          { path: "collection.coverImage.focalPoint.x" },
          { path: "collection.coverImage.focalPoint.y" },
          { path: "collection.coverImage.unsharpMasking.amount" },
          { path: "collection.coverImage.unsharpMasking.radius" },
          { path: "collection.coverImage.unsharpMasking.threshold" }
        ]
      },
      {
        transformFn: import_timestamp.transformSDKTimestampToRESTTimestamp,
        paths: [
          { path: "collection.createdDate" },
          { path: "collection.updatedDate" },
          { path: "collection.coverImage.imageInfo.urlExpirationDate" }
        ]
      }
    ]);
    const metadata = {
      entityFqdn: "wix.portfolio.collections.v1.collection",
      method: "POST",
      methodFqn: "com.wixpress.portfolio.collections.CollectionsService.CreateCollection",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPortfolioCollectionsCollectionsServiceUrl({
        protoPath: "/api/v1/portfolio/collections",
        data: serializedData,
        host
      }),
      data: serializedData,
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_float2.transformRESTFloatToSDKFloat,
          paths: [
            { path: "collection.sortOrder" },
            { path: "collection.coverImage.focalPoint.x" },
            { path: "collection.coverImage.focalPoint.y" },
            { path: "collection.coverImage.unsharpMasking.amount" },
            { path: "collection.coverImage.unsharpMasking.radius" },
            { path: "collection.coverImage.unsharpMasking.threshold" }
          ]
        },
        {
          transformFn: import_timestamp2.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "collection.createdDate" },
            { path: "collection.updatedDate" },
            { path: "collection.coverImage.imageInfo.urlExpirationDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __createCollection;
}
function getCollection(payload) {
  function __getCollection({ host }) {
    const metadata = {
      entityFqdn: "wix.portfolio.collections.v1.collection",
      method: "GET",
      methodFqn: "com.wixpress.portfolio.collections.CollectionsService.GetCollection",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPortfolioCollectionsCollectionsServiceUrl({
        protoPath: "/api/v1/portfolio/collections/{collectionId}",
        data: payload,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(payload),
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_float2.transformRESTFloatToSDKFloat,
          paths: [
            { path: "collection.sortOrder" },
            { path: "collection.coverImage.focalPoint.x" },
            { path: "collection.coverImage.focalPoint.y" },
            { path: "collection.coverImage.unsharpMasking.amount" },
            { path: "collection.coverImage.unsharpMasking.radius" },
            { path: "collection.coverImage.unsharpMasking.threshold" }
          ]
        },
        {
          transformFn: import_timestamp2.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "collection.createdDate" },
            { path: "collection.updatedDate" },
            { path: "collection.coverImage.imageInfo.urlExpirationDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __getCollection;
}
function listCollections(payload) {
  function __listCollections({ host }) {
    const metadata = {
      entityFqdn: "wix.portfolio.collections.v1.collection",
      method: "GET",
      methodFqn: "com.wixpress.portfolio.collections.CollectionsService.ListCollections",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPortfolioCollectionsCollectionsServiceUrl({
        protoPath: "/api/v1/portfolio/collections",
        data: payload,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(payload),
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_float2.transformRESTFloatToSDKFloat,
          paths: [
            { path: "collections.sortOrder" },
            { path: "collections.coverImage.focalPoint.x" },
            { path: "collections.coverImage.focalPoint.y" },
            { path: "collections.coverImage.unsharpMasking.amount" },
            { path: "collections.coverImage.unsharpMasking.radius" },
            { path: "collections.coverImage.unsharpMasking.threshold" }
          ]
        },
        {
          transformFn: import_timestamp2.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "collections.createdDate" },
            { path: "collections.updatedDate" },
            { path: "collections.coverImage.imageInfo.urlExpirationDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __listCollections;
}
function updateCollection(payload) {
  function __updateCollection({ host }) {
    const serializedData = (0, import_transform_paths.transformPaths)(payload, [
      {
        transformFn: import_field_mask.transformSDKFieldMaskToRESTFieldMask,
        paths: [{ path: "mask" }]
      },
      {
        transformFn: import_float.transformSDKFloatToRESTFloat,
        paths: [
          { path: "collection.sortOrder" },
          { path: "collection.coverImage.focalPoint.x" },
          { path: "collection.coverImage.focalPoint.y" },
          { path: "collection.coverImage.unsharpMasking.amount" },
          { path: "collection.coverImage.unsharpMasking.radius" },
          { path: "collection.coverImage.unsharpMasking.threshold" }
        ]
      },
      {
        transformFn: import_timestamp.transformSDKTimestampToRESTTimestamp,
        paths: [
          { path: "collection.createdDate" },
          { path: "collection.updatedDate" },
          { path: "collection.coverImage.imageInfo.urlExpirationDate" }
        ]
      }
    ]);
    const metadata = {
      entityFqdn: "wix.portfolio.collections.v1.collection",
      method: "PATCH",
      methodFqn: "com.wixpress.portfolio.collections.CollectionsService.UpdateCollection",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPortfolioCollectionsCollectionsServiceUrl({
        protoPath: "/api/v1/portfolio/collections/{collection.id}",
        data: serializedData,
        host
      }),
      data: serializedData,
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_float2.transformRESTFloatToSDKFloat,
          paths: [
            { path: "collection.sortOrder" },
            { path: "collection.coverImage.focalPoint.x" },
            { path: "collection.coverImage.focalPoint.y" },
            { path: "collection.coverImage.unsharpMasking.amount" },
            { path: "collection.coverImage.unsharpMasking.radius" },
            { path: "collection.coverImage.unsharpMasking.threshold" }
          ]
        },
        {
          transformFn: import_timestamp2.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "collection.createdDate" },
            { path: "collection.updatedDate" },
            { path: "collection.coverImage.imageInfo.urlExpirationDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __updateCollection;
}
function deleteCollection(payload) {
  function __deleteCollection({ host }) {
    const metadata = {
      entityFqdn: "wix.portfolio.collections.v1.collection",
      method: "DELETE",
      methodFqn: "com.wixpress.portfolio.collections.CollectionsService.DeleteCollection",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPortfolioCollectionsCollectionsServiceUrl({
        protoPath: "/api/v1/portfolio/collections/{collectionId}",
        data: payload,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(payload)
    };
    return metadata;
  }
  return __deleteCollection;
}
function queryCollections(payload) {
  function __queryCollections({ host }) {
    const metadata = {
      entityFqdn: "wix.portfolio.collections.v1.collection",
      method: "POST",
      methodFqn: "com.wixpress.portfolio.collections.CollectionsService.QueryCollections",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPortfolioCollectionsCollectionsServiceUrl({
        protoPath: "/api/v1/portfolio/collections/query",
        data: payload,
        host
      }),
      data: payload,
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_float2.transformRESTFloatToSDKFloat,
          paths: [
            { path: "collections.sortOrder" },
            { path: "collections.coverImage.focalPoint.x" },
            { path: "collections.coverImage.focalPoint.y" },
            { path: "collections.coverImage.unsharpMasking.amount" },
            { path: "collections.coverImage.unsharpMasking.radius" },
            { path: "collections.coverImage.unsharpMasking.threshold" }
          ]
        },
        {
          transformFn: import_timestamp2.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "collections.createdDate" },
            { path: "collections.updatedDate" },
            { path: "collections.coverImage.imageInfo.urlExpirationDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __queryCollections;
}

// src/portfolio-collections-v1-collection-collections.universal.ts
var import_image = require("@wix/sdk-runtime/transformations/image");
var import_image2 = require("@wix/sdk-runtime/transformations/image");
var import_page_url_v2 = require("@wix/sdk-runtime/transformations/page-url-v2");
var import_page_url_v22 = require("@wix/sdk-runtime/transformations/page-url-v2");
var import_transform_paths2 = require("@wix/sdk-runtime/transformations/transform-paths");
var ImageType = /* @__PURE__ */ ((ImageType2) => {
  ImageType2["UNDEFINED"] = "UNDEFINED";
  ImageType2["WIX_MEDIA"] = "WIX_MEDIA";
  ImageType2["EXTERNAL"] = "EXTERNAL";
  return ImageType2;
})(ImageType || {});
var WebhookIdentityType = /* @__PURE__ */ ((WebhookIdentityType2) => {
  WebhookIdentityType2["UNKNOWN"] = "UNKNOWN";
  WebhookIdentityType2["ANONYMOUS_VISITOR"] = "ANONYMOUS_VISITOR";
  WebhookIdentityType2["MEMBER"] = "MEMBER";
  WebhookIdentityType2["WIX_USER"] = "WIX_USER";
  WebhookIdentityType2["APP"] = "APP";
  return WebhookIdentityType2;
})(WebhookIdentityType || {});
var SortOrder = /* @__PURE__ */ ((SortOrder2) => {
  SortOrder2["ASC"] = "ASC";
  SortOrder2["DESC"] = "DESC";
  return SortOrder2;
})(SortOrder || {});
async function createCollection2(collection) {
  const { httpClient, sideEffects } = arguments[1];
  const payload = (0, import_transform_paths2.transformPaths)(
    (0, import_rename_all_nested_keys.renameKeysFromSDKRequestToRESTRequest)({ collection }),
    [
      {
        transformFn: import_page_url_v2.transformSDKPageURLV2ToRESTPageURLV2,
        paths: [{ path: "collection.url" }]
      },
      {
        transformFn: import_image.transformSDKImageToRESTImage,
        paths: [{ path: "collection.coverImage.imageInfo" }]
      }
    ]
  );
  const reqOpts = createCollection(payload);
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
    return (0, import_rename_all_nested_keys.renameKeysFromRESTResponseToSDKResponse)(
      (0, import_transform_paths2.transformPaths)(result.data, [
        {
          transformFn: import_page_url_v22.transformRESTPageURLV2ToSDKPageURLV2,
          paths: [{ path: "collection.url" }]
        },
        {
          transformFn: import_image2.transformRESTImageToSDKImage,
          paths: [{ path: "collection.coverImage.imageInfo" }]
        }
      ])
    )?.collection;
  } catch (err) {
    const transformedError = (0, import_transform_error.transformError)(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: { collection: "$[0]" },
        singleArgumentUnchanged: false
      },
      ["collection"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}
async function getCollection2(collectionId, options) {
  const { httpClient, sideEffects } = arguments[2];
  const payload = (0, import_rename_all_nested_keys.renameKeysFromSDKRequestToRESTRequest)({
    collectionId,
    includePageUrl: options?.includePageUrl
  });
  const reqOpts = getCollection(payload);
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
    return (0, import_rename_all_nested_keys.renameKeysFromRESTResponseToSDKResponse)(
      (0, import_transform_paths2.transformPaths)(result.data, [
        {
          transformFn: import_page_url_v22.transformRESTPageURLV2ToSDKPageURLV2,
          paths: [{ path: "collection.url" }]
        },
        {
          transformFn: import_image2.transformRESTImageToSDKImage,
          paths: [{ path: "collection.coverImage.imageInfo" }]
        }
      ])
    )?.collection;
  } catch (err) {
    const transformedError = (0, import_transform_error.transformError)(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: {
          collectionId: "$[0]",
          includePageUrl: "$[1].includePageUrl"
        },
        singleArgumentUnchanged: false
      },
      ["collectionId", "options"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}
async function listCollections2(options) {
  const { httpClient, sideEffects } = arguments[1];
  const payload = (0, import_rename_all_nested_keys.renameKeysFromSDKRequestToRESTRequest)({
    paging: options?.paging,
    includePageUrl: options?.includePageUrl
  });
  const reqOpts = listCollections(payload);
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
    return (0, import_rename_all_nested_keys.renameKeysFromRESTResponseToSDKResponse)(
      (0, import_transform_paths2.transformPaths)(result.data, [
        {
          transformFn: import_page_url_v22.transformRESTPageURLV2ToSDKPageURLV2,
          paths: [{ path: "collections.url" }]
        },
        {
          transformFn: import_image2.transformRESTImageToSDKImage,
          paths: [{ path: "collections.coverImage.imageInfo" }]
        }
      ])
    );
  } catch (err) {
    const transformedError = (0, import_transform_error.transformError)(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: {
          paging: "$[0].paging",
          includePageUrl: "$[0].includePageUrl"
        },
        singleArgumentUnchanged: false
      },
      ["options"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}
async function updateCollection2(_id, collection) {
  const { httpClient, sideEffects } = arguments[2];
  const payload = (0, import_transform_paths2.transformPaths)(
    (0, import_rename_all_nested_keys.renameKeysFromSDKRequestToRESTRequest)({
      collection: { ...collection, id: _id }
    }),
    [
      {
        transformFn: import_page_url_v2.transformSDKPageURLV2ToRESTPageURLV2,
        paths: [{ path: "collection.url" }]
      },
      {
        transformFn: import_image.transformSDKImageToRESTImage,
        paths: [{ path: "collection.coverImage.imageInfo" }]
      }
    ]
  );
  const reqOpts = updateCollection(payload);
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
    return (0, import_rename_all_nested_keys.renameKeysFromRESTResponseToSDKResponse)(
      (0, import_transform_paths2.transformPaths)(result.data, [
        {
          transformFn: import_page_url_v22.transformRESTPageURLV2ToSDKPageURLV2,
          paths: [{ path: "collection.url" }]
        },
        {
          transformFn: import_image2.transformRESTImageToSDKImage,
          paths: [{ path: "collection.coverImage.imageInfo" }]
        }
      ])
    )?.collection;
  } catch (err) {
    const transformedError = (0, import_transform_error.transformError)(
      err,
      {
        spreadPathsToArguments: { collection: "$[1]" },
        explicitPathsToArguments: { "collection.id": "$[0]" },
        singleArgumentUnchanged: false
      },
      ["_id", "collection"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}
async function deleteCollection2(collectionId) {
  const { httpClient, sideEffects } = arguments[1];
  const payload = (0, import_rename_all_nested_keys.renameKeysFromSDKRequestToRESTRequest)({
    collectionId
  });
  const reqOpts = deleteCollection(payload);
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
    return (0, import_rename_all_nested_keys.renameKeysFromRESTResponseToSDKResponse)(result.data);
  } catch (err) {
    const transformedError = (0, import_transform_error.transformError)(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: { collectionId: "$[0]" },
        singleArgumentUnchanged: false
      },
      ["collectionId"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}
function queryCollections2(options) {
  const { httpClient, sideEffects } = arguments[1];
  return (0, import_query_builder.queryBuilder)({
    func: async (payload) => {
      const reqOpts = queryCollections({
        ...payload,
        ...options ?? {}
      });
      sideEffects?.onSiteCall?.();
      try {
        const result = await httpClient.request(reqOpts);
        sideEffects?.onSuccess?.(result);
        return result;
      } catch (err) {
        sideEffects?.onError?.(err);
        throw err;
      }
    },
    requestTransformer: (query) => {
      const args = [query, options];
      return (0, import_rename_all_nested_keys.renameKeysFromSDKRequestToRESTRequest)({
        ...args?.[1],
        query: args?.[0]
      });
    },
    responseTransformer: ({ data }) => {
      const transformedData = (0, import_rename_all_nested_keys.renameKeysFromRESTResponseToSDKResponse)(
        (0, import_transform_paths2.transformPaths)(data, [
          {
            transformFn: import_page_url_v22.transformRESTPageURLV2ToSDKPageURLV2,
            paths: [{ path: "collections.url" }]
          },
          {
            transformFn: import_image2.transformRESTImageToSDKImage,
            paths: [{ path: "collections.coverImage.imageInfo" }]
          }
        ])
      );
      return {
        items: transformedData?.collections,
        pagingMetadata: transformedData?.metadata
      };
    },
    errorTransformer: (err) => {
      const transformedError = (0, import_transform_error.transformError)(err, {
        spreadPathsToArguments: {},
        explicitPathsToArguments: { query: "$[0]" },
        singleArgumentUnchanged: false
      });
      throw transformedError;
    },
    pagingMethod: "CURSOR",
    transformationPaths: {}
  });
}

// src/portfolio-collections-v1-collection-collections.public.ts
function createCollection3(httpClient) {
  return (collection) => createCollection2(
    collection,
    // @ts-ignore
    { httpClient }
  );
}
function getCollection3(httpClient) {
  return (collectionId, options) => getCollection2(
    collectionId,
    options,
    // @ts-ignore
    { httpClient }
  );
}
function listCollections3(httpClient) {
  return (options) => listCollections2(
    options,
    // @ts-ignore
    { httpClient }
  );
}
function updateCollection3(httpClient) {
  return (_id, collection) => updateCollection2(
    _id,
    collection,
    // @ts-ignore
    { httpClient }
  );
}
function deleteCollection3(httpClient) {
  return (collectionId) => deleteCollection2(
    collectionId,
    // @ts-ignore
    { httpClient }
  );
}
function queryCollections3(httpClient) {
  return (options) => queryCollections2(
    options,
    // @ts-ignore
    { httpClient }
  );
}
var onCollectionCreated = (0, import_sdk_types.EventDefinition)(
  "wix.portfolio.collections.v1.collection_created",
  true,
  (event) => (0, import_rename_all_nested_keys2.renameKeysFromRESTResponseToSDKResponse)(
    (0, import_transform_paths3.transformPaths)(event, [
      {
        transformFn: import_float3.transformRESTFloatToSDKFloat,
        paths: [
          { path: "entity.sortOrder" },
          { path: "entity.coverImage.focalPoint.x" },
          { path: "entity.coverImage.focalPoint.y" },
          { path: "entity.coverImage.unsharpMasking.amount" },
          { path: "entity.coverImage.unsharpMasking.radius" },
          { path: "entity.coverImage.unsharpMasking.threshold" }
        ]
      },
      {
        transformFn: import_timestamp3.transformRESTTimestampToSDKTimestamp,
        paths: [
          { path: "entity.createdDate" },
          { path: "entity.updatedDate" },
          { path: "metadata.eventTime" }
        ]
      },
      {
        transformFn: import_page_url_v23.transformRESTPageURLV2ToSDKPageURLV2,
        paths: [{ path: "entity.url" }]
      },
      {
        transformFn: import_image3.transformRESTImageToSDKImage,
        paths: [{ path: "entity.coverImage.imageInfo" }]
      }
    ])
  )
)();
var onCollectionDeleted = (0, import_sdk_types.EventDefinition)(
  "wix.portfolio.collections.v1.collection_deleted",
  true,
  (event) => (0, import_rename_all_nested_keys2.renameKeysFromRESTResponseToSDKResponse)(
    (0, import_transform_paths3.transformPaths)(event, [
      {
        transformFn: import_float3.transformRESTFloatToSDKFloat,
        paths: [
          { path: "undefined.sortOrder" },
          { path: "undefined.coverImage.focalPoint.x" },
          { path: "undefined.coverImage.focalPoint.y" },
          { path: "undefined.coverImage.unsharpMasking.amount" },
          { path: "undefined.coverImage.unsharpMasking.radius" },
          { path: "undefined.coverImage.unsharpMasking.threshold" }
        ]
      },
      {
        transformFn: import_timestamp3.transformRESTTimestampToSDKTimestamp,
        paths: [
          { path: "undefined.createdDate" },
          { path: "undefined.updatedDate" },
          { path: "metadata.eventTime" }
        ]
      },
      {
        transformFn: import_page_url_v23.transformRESTPageURLV2ToSDKPageURLV2,
        paths: [{ path: "undefined.url" }]
      },
      {
        transformFn: import_image3.transformRESTImageToSDKImage,
        paths: [{ path: "undefined.coverImage.imageInfo" }]
      }
    ])
  )
)();
var onCollectionUpdated = (0, import_sdk_types.EventDefinition)(
  "wix.portfolio.collections.v1.collection_updated",
  true,
  (event) => (0, import_rename_all_nested_keys2.renameKeysFromRESTResponseToSDKResponse)(
    (0, import_transform_paths3.transformPaths)(event, [
      {
        transformFn: import_float3.transformRESTFloatToSDKFloat,
        paths: [
          { path: "entity.sortOrder" },
          { path: "entity.coverImage.focalPoint.x" },
          { path: "entity.coverImage.focalPoint.y" },
          { path: "entity.coverImage.unsharpMasking.amount" },
          { path: "entity.coverImage.unsharpMasking.radius" },
          { path: "entity.coverImage.unsharpMasking.threshold" }
        ]
      },
      {
        transformFn: import_timestamp3.transformRESTTimestampToSDKTimestamp,
        paths: [
          { path: "entity.createdDate" },
          { path: "entity.updatedDate" },
          { path: "metadata.eventTime" }
        ]
      },
      {
        transformFn: import_page_url_v23.transformRESTPageURLV2ToSDKPageURLV2,
        paths: [{ path: "entity.url" }]
      },
      {
        transformFn: import_image3.transformRESTImageToSDKImage,
        paths: [{ path: "entity.coverImage.imageInfo" }]
      }
    ])
  )
)();

// src/portfolio-collections-v1-collection-collections.context.ts
var import_rest_modules3 = require("@wix/sdk-runtime/rest-modules");
var import_event_definition_modules = require("@wix/sdk-runtime/event-definition-modules");
var createCollection4 = /* @__PURE__ */ (0, import_rest_modules3.createRESTModule)(createCollection3);
var getCollection4 = /* @__PURE__ */ (0, import_rest_modules3.createRESTModule)(getCollection3);
var listCollections4 = /* @__PURE__ */ (0, import_rest_modules3.createRESTModule)(listCollections3);
var updateCollection4 = /* @__PURE__ */ (0, import_rest_modules3.createRESTModule)(updateCollection3);
var deleteCollection4 = /* @__PURE__ */ (0, import_rest_modules3.createRESTModule)(deleteCollection3);
var queryCollections4 = /* @__PURE__ */ (0, import_rest_modules3.createRESTModule)(queryCollections3);
var onCollectionCreated2 = (0, import_event_definition_modules.createEventModule)(onCollectionCreated);
var onCollectionDeleted2 = (0, import_event_definition_modules.createEventModule)(onCollectionDeleted);
var onCollectionUpdated2 = (0, import_event_definition_modules.createEventModule)(onCollectionUpdated);
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  ImageType,
  SortOrder,
  WebhookIdentityType,
  createCollection,
  deleteCollection,
  getCollection,
  listCollections,
  onCollectionCreated,
  onCollectionDeleted,
  onCollectionUpdated,
  queryCollections,
  updateCollection
});
//# sourceMappingURL=index.js.map