"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// meta.ts
var meta_exports = {};
__export(meta_exports, {
  createCollection: () => createCollection2,
  deleteCollection: () => deleteCollection2,
  getCollection: () => getCollection2,
  listCollections: () => listCollections2,
  queryCollections: () => queryCollections2,
  updateCollection: () => updateCollection2
});
module.exports = __toCommonJS(meta_exports);

// src/portfolio-collections-v1-collection-collections.http.ts
var import_rest_modules = require("@wix/sdk-runtime/rest-modules");
var import_float = require("@wix/sdk-runtime/transformations/float");
var import_float2 = require("@wix/sdk-runtime/transformations/float");
var import_timestamp = require("@wix/sdk-runtime/transformations/timestamp");
var import_timestamp2 = require("@wix/sdk-runtime/transformations/timestamp");
var import_field_mask = require("@wix/sdk-runtime/transformations/field-mask");
var import_transform_paths = require("@wix/sdk-runtime/transformations/transform-paths");
var import_rest_modules2 = require("@wix/sdk-runtime/rest-modules");
function resolveComWixpressPortfolioCollectionsCollectionsServiceUrl(opts) {
  const domainToMappings = {
    "*.dev.wix-code.com": [
      {
        srcPath: "/_api/collections-service",
        destPath: "/api"
      }
    ],
    "editor._base_domain_": [
      {
        srcPath: "/_api/collections-service",
        destPath: "/api"
      }
    ],
    "blocks._base_domain_": [
      {
        srcPath: "/_api/collections-service",
        destPath: "/api"
      }
    ],
    "create.editorx": [
      {
        srcPath: "/_api/collections-service",
        destPath: "/api"
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/_api/collections-service",
        destPath: "/api"
      }
    ],
    _: [
      {
        srcPath: "/_api/collections-service",
        destPath: "/api"
      }
    ],
    "www._base_domain_": [
      {
        srcPath: "/_api/collections-service",
        destPath: "/api"
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/portfolio/v1/collections",
        destPath: "/api/v1/portfolio/collections"
      },
      {
        srcPath: "/portfolio/collections/api/v1/portfolio/collections",
        destPath: "/api/v1/portfolio/collections"
      }
    ],
    "api._api_base_domain_": [
      {
        srcPath: "/collections-service",
        destPath: ""
      }
    ]
  };
  return (0, import_rest_modules2.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_portfolio_collections";
function createCollection(payload) {
  function __createCollection({ host }) {
    const serializedData = (0, import_transform_paths.transformPaths)(payload, [
      {
        transformFn: import_float.transformSDKFloatToRESTFloat,
        paths: [
          { path: "collection.sortOrder" },
          { path: "collection.coverImage.focalPoint.x" },
          { path: "collection.coverImage.focalPoint.y" },
          { path: "collection.coverImage.unsharpMasking.amount" },
          { path: "collection.coverImage.unsharpMasking.radius" },
          { path: "collection.coverImage.unsharpMasking.threshold" }
        ]
      },
      {
        transformFn: import_timestamp.transformSDKTimestampToRESTTimestamp,
        paths: [
          { path: "collection.createdDate" },
          { path: "collection.updatedDate" },
          { path: "collection.coverImage.imageInfo.urlExpirationDate" }
        ]
      }
    ]);
    const metadata = {
      entityFqdn: "wix.portfolio.collections.v1.collection",
      method: "POST",
      methodFqn: "com.wixpress.portfolio.collections.CollectionsService.CreateCollection",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPortfolioCollectionsCollectionsServiceUrl({
        protoPath: "/api/v1/portfolio/collections",
        data: serializedData,
        host
      }),
      data: serializedData,
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_float2.transformRESTFloatToSDKFloat,
          paths: [
            { path: "collection.sortOrder" },
            { path: "collection.coverImage.focalPoint.x" },
            { path: "collection.coverImage.focalPoint.y" },
            { path: "collection.coverImage.unsharpMasking.amount" },
            { path: "collection.coverImage.unsharpMasking.radius" },
            { path: "collection.coverImage.unsharpMasking.threshold" }
          ]
        },
        {
          transformFn: import_timestamp2.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "collection.createdDate" },
            { path: "collection.updatedDate" },
            { path: "collection.coverImage.imageInfo.urlExpirationDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __createCollection;
}
function getCollection(payload) {
  function __getCollection({ host }) {
    const metadata = {
      entityFqdn: "wix.portfolio.collections.v1.collection",
      method: "GET",
      methodFqn: "com.wixpress.portfolio.collections.CollectionsService.GetCollection",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPortfolioCollectionsCollectionsServiceUrl({
        protoPath: "/api/v1/portfolio/collections/{collectionId}",
        data: payload,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(payload),
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_float2.transformRESTFloatToSDKFloat,
          paths: [
            { path: "collection.sortOrder" },
            { path: "collection.coverImage.focalPoint.x" },
            { path: "collection.coverImage.focalPoint.y" },
            { path: "collection.coverImage.unsharpMasking.amount" },
            { path: "collection.coverImage.unsharpMasking.radius" },
            { path: "collection.coverImage.unsharpMasking.threshold" }
          ]
        },
        {
          transformFn: import_timestamp2.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "collection.createdDate" },
            { path: "collection.updatedDate" },
            { path: "collection.coverImage.imageInfo.urlExpirationDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __getCollection;
}
function listCollections(payload) {
  function __listCollections({ host }) {
    const metadata = {
      entityFqdn: "wix.portfolio.collections.v1.collection",
      method: "GET",
      methodFqn: "com.wixpress.portfolio.collections.CollectionsService.ListCollections",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPortfolioCollectionsCollectionsServiceUrl({
        protoPath: "/api/v1/portfolio/collections",
        data: payload,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(payload),
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_float2.transformRESTFloatToSDKFloat,
          paths: [
            { path: "collections.sortOrder" },
            { path: "collections.coverImage.focalPoint.x" },
            { path: "collections.coverImage.focalPoint.y" },
            { path: "collections.coverImage.unsharpMasking.amount" },
            { path: "collections.coverImage.unsharpMasking.radius" },
            { path: "collections.coverImage.unsharpMasking.threshold" }
          ]
        },
        {
          transformFn: import_timestamp2.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "collections.createdDate" },
            { path: "collections.updatedDate" },
            { path: "collections.coverImage.imageInfo.urlExpirationDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __listCollections;
}
function updateCollection(payload) {
  function __updateCollection({ host }) {
    const serializedData = (0, import_transform_paths.transformPaths)(payload, [
      {
        transformFn: import_field_mask.transformSDKFieldMaskToRESTFieldMask,
        paths: [{ path: "mask" }]
      },
      {
        transformFn: import_float.transformSDKFloatToRESTFloat,
        paths: [
          { path: "collection.sortOrder" },
          { path: "collection.coverImage.focalPoint.x" },
          { path: "collection.coverImage.focalPoint.y" },
          { path: "collection.coverImage.unsharpMasking.amount" },
          { path: "collection.coverImage.unsharpMasking.radius" },
          { path: "collection.coverImage.unsharpMasking.threshold" }
        ]
      },
      {
        transformFn: import_timestamp.transformSDKTimestampToRESTTimestamp,
        paths: [
          { path: "collection.createdDate" },
          { path: "collection.updatedDate" },
          { path: "collection.coverImage.imageInfo.urlExpirationDate" }
        ]
      }
    ]);
    const metadata = {
      entityFqdn: "wix.portfolio.collections.v1.collection",
      method: "PATCH",
      methodFqn: "com.wixpress.portfolio.collections.CollectionsService.UpdateCollection",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPortfolioCollectionsCollectionsServiceUrl({
        protoPath: "/api/v1/portfolio/collections/{collection.id}",
        data: serializedData,
        host
      }),
      data: serializedData,
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_float2.transformRESTFloatToSDKFloat,
          paths: [
            { path: "collection.sortOrder" },
            { path: "collection.coverImage.focalPoint.x" },
            { path: "collection.coverImage.focalPoint.y" },
            { path: "collection.coverImage.unsharpMasking.amount" },
            { path: "collection.coverImage.unsharpMasking.radius" },
            { path: "collection.coverImage.unsharpMasking.threshold" }
          ]
        },
        {
          transformFn: import_timestamp2.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "collection.createdDate" },
            { path: "collection.updatedDate" },
            { path: "collection.coverImage.imageInfo.urlExpirationDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __updateCollection;
}
function deleteCollection(payload) {
  function __deleteCollection({ host }) {
    const metadata = {
      entityFqdn: "wix.portfolio.collections.v1.collection",
      method: "DELETE",
      methodFqn: "com.wixpress.portfolio.collections.CollectionsService.DeleteCollection",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPortfolioCollectionsCollectionsServiceUrl({
        protoPath: "/api/v1/portfolio/collections/{collectionId}",
        data: payload,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(payload)
    };
    return metadata;
  }
  return __deleteCollection;
}
function queryCollections(payload) {
  function __queryCollections({ host }) {
    const metadata = {
      entityFqdn: "wix.portfolio.collections.v1.collection",
      method: "POST",
      methodFqn: "com.wixpress.portfolio.collections.CollectionsService.QueryCollections",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPortfolioCollectionsCollectionsServiceUrl({
        protoPath: "/api/v1/portfolio/collections/query",
        data: payload,
        host
      }),
      data: payload,
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_float2.transformRESTFloatToSDKFloat,
          paths: [
            { path: "collections.sortOrder" },
            { path: "collections.coverImage.focalPoint.x" },
            { path: "collections.coverImage.focalPoint.y" },
            { path: "collections.coverImage.unsharpMasking.amount" },
            { path: "collections.coverImage.unsharpMasking.radius" },
            { path: "collections.coverImage.unsharpMasking.threshold" }
          ]
        },
        {
          transformFn: import_timestamp2.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "collections.createdDate" },
            { path: "collections.updatedDate" },
            { path: "collections.coverImage.imageInfo.urlExpirationDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __queryCollections;
}

// src/portfolio-collections-v1-collection-collections.meta.ts
function createCollection2() {
  const payload = {};
  const getRequestOptions = createCollection(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/api/v1/portfolio/collections",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function getCollection2() {
  const payload = { collectionId: ":collectionId" };
  const getRequestOptions = getCollection(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/api/v1/portfolio/collections/{collectionId}",
    pathParams: { collectionId: "collectionId" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function listCollections2() {
  const payload = {};
  const getRequestOptions = listCollections(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/api/v1/portfolio/collections",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function updateCollection2() {
  const payload = { collection: { id: ":collectionId" } };
  const getRequestOptions = updateCollection(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "PATCH",
    path: "/api/v1/portfolio/collections/{collection.id}",
    pathParams: { collectionId: "collectionId" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function deleteCollection2() {
  const payload = { collectionId: ":collectionId" };
  const getRequestOptions = deleteCollection(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "DELETE",
    path: "/api/v1/portfolio/collections/{collectionId}",
    pathParams: { collectionId: "collectionId" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function queryCollections2() {
  const payload = {};
  const getRequestOptions = queryCollections(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/api/v1/portfolio/collections/query",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  createCollection,
  deleteCollection,
  getCollection,
  listCollections,
  queryCollections,
  updateCollection
});
//# sourceMappingURL=meta.js.map